# $Id: plugin.make,v 1.1 2002/12/08 18:22:51 babolo Exp $

.if defined(PKG) && ${PKG} == "ispdb"
THISDIR=${BUILDINCLUDEDIR}
.else
THISDIR=${ISPMSINCLUDEDIR}
.endif

S_create:  ${THISDIR}/plugin.make ${THISDIR}/def.m4 ${THISDIR}/plugin.m4 ${THISDIR}/logview.m4 def.m4 ${SQLS}
	${M4} -DPREFIX=${PREFIX} -DBINDIR=${BINDIR} -DLIBEDIR=${LIBEDIR}\
              -DISPMSINCLUDEDIR=${ISPMSINCLUDEDIR} -DBUILDINCLUDEDIR=${BUILDINCLUDEDIR}\
              -DDB_SETUP_STAGE_CREATE \
             ${THISDIR}/def.m4 ${THISDIR}/plugin.m4 ${THISDIR}/logview.m4 def.m4 Shema > S_create

S_init:    ${THISDIR}/plugin.make ${THISDIR}/def.m4 ${THISDIR}/plugin.m4 ${THISDIR}/logview.m4 def.m4 ${SQLS}
	${M4} -DPREFIX=${PREFIX} -DBINDIR=${BINDIR} -DLIBEDIR=${LIBEDIR}\
              -DISPMSINCLUDEDIR=${ISPMSINCLUDEDIR} -DBUILDINCLUDEDIR=${BUILDINCLUDEDIR}\
              -DDB_SETUP_STAGE_INIT   \
             ${THISDIR}/def.m4 ${THISDIR}/plugin.m4 ${THISDIR}/logview.m4 def.m4 Shema > S_init

S_restore: ${THISDIR}/plugin.make ${THISDIR}/def.m4 ${THISDIR}/plugin.m4 ${THISDIR}/logview.m4 def.m4 ${SQLS}
	${M4} -DPREFIX=${PREFIX} -DBINDIR=${BINDIR} -DLIBEDIR=${LIBEDIR}\
              -DISPMSINCLUDEDIR=${ISPMSINCLUDEDIR} -DBUILDINCLUDEDIR=${BUILDINCLUDEDIR}\
              -DDB_SETUP_STAGE_RESTORE\
             ${THISDIR}/def.m4 ${THISDIR}/plugin.m4 ${THISDIR}/logview.m4 def.m4 Shema > S_restore

S_tune:    ${THISDIR}/plugin.make ${THISDIR}/def.m4 ${THISDIR}/plugin.m4 ${THISDIR}/logview.m4 def.m4 ${SQLS}
	${M4} -DPREFIX=${PREFIX} -DBINDIR=${BINDIR} -DLIBEDIR=${LIBEDIR}\
              -DISPMSINCLUDEDIR=${ISPMSINCLUDEDIR} -DBUILDINCLUDEDIR=${BUILDINCLUDEDIR}\
              -DDB_SETUP_STAGE_TUNE   \
             ${THISDIR}/def.m4 ${THISDIR}/plugin.m4 ${THISDIR}/logview.m4 def.m4 Shema > S_tune

S_dump:    ${THISDIR}/plugin.make ${THISDIR}/def.m4 ${THISDIR}/plugin.m4 ${THISDIR}/logview.m4 def.m4 ${SQLS}
	${M4} -DPREFIX=${PREFIX} -DBINDIR=${BINDIR} -DLIBEDIR=${LIBEDIR}\
              -DISPMSINCLUDEDIR=${ISPMSINCLUDEDIR} -DBUILDINCLUDEDIR=${BUILDINCLUDEDIR}\
              -DDB_SETUP_STAGE_DUMP   \
             ${THISDIR}/def.m4 ${THISDIR}/plugin.m4 ${THISDIR}/logview.m4 def.m4 Shema > S_dump

S_delete:  ${THISDIR}/plugin.make ${THISDIR}/def.m4 ${THISDIR}/plugin.m4 ${THISDIR}/logview.m4 def.m4 ${SQLS}
	${M4} -DPREFIX=${PREFIX} -DBINDIR=${BINDIR} -DLIBEDIR=${LIBEDIR}\
              -DISPMSINCLUDEDIR=${ISPMSINCLUDEDIR} -DBUILDINCLUDEDIR=${BUILDINCLUDEDIR}\
              -DDB_SETUP_STAGE_DELETE \
             ${THISDIR}/def.m4 ${THISDIR}/plugin.m4 ${THISDIR}/logview.m4 def.m4 Shema > S_delete
